X
  • No hay productos en la lista

Lista para
Cotizar

Tu página web está en peligro. PHP 5 caduca

Share on facebook
Facebook
Share on google
Google+
Share on twitter
Twitter
Share on linkedin
LinkedIn
Warning

PHP 5 está llegando a su fin de vida (EOL) el 1 de enero de 2019. Toma tus precauciones lo antes posible.

¿Por qué importa actualizar PHP?

Cuando un software alcanza su EOL, ya no es compatible, lo que significa que no hay más actualizaciones de seguridad. Cualquier vulnerabilidad que se encuentre después de su estado EOL estará desprotegida  y los sitios que ejecutan la versión anterior estarán abiertos para cualquier ataque.

¿Por qué los desarrolladores de PHP dejarían que eso sucediera?

La mayoría de las versiones de software solo son compatibles durante un tiempo determinado. La política que adoptan los desarrolladores de PHP es que una versión es totalmente compatible durante dos años después de su lanzamiento y luego un año más para solucionar problemas de seguridad y vulnerabilidades.

Tres años después de su fecha de lanzamiento, una versión de PHP está marcada como caducada, es decir EOL. Término usado en la informática para designar el fin del ciclo de vida (signifique esto soporte o ventas) del producto.

PHP 5.6, la última actualización de la versión 5, se lanzó en agosto de 2014. Los desarrolladores decidieron darle soporte por un año adicional porque había mucha gente que lo usaba, para darles tiempo de actualizar a una versión superior.

Su página web está en peligro. PHP 5 caduca

 

¡Ese tiempo se ha acabado!

¿Por qué debería actualizar a la versión de PHP 7?

Debido a que PHP 5 está llegando a su fin de vida, ya no será compatible y, por lo tanto, no recibirá ninguna actualización de seguridad. Esto podría dejar su sitio web abierto para ser atacado, si existe un problema de seguridad y  sigue usando PHP 5 después de diciembre de 2018.

La actualización a PHP 7 tiene sentido desde el punto de vista de soporte y seguridad, pero también incluye mejoras en la velocidad, el uso de la memoria y la funcionalidad.

PHP 7 también permite a los desarrolladores utilizar las últimas estructuras de datos y métodos de desarrollo al crear sus temas y complementos.

En caso de que te estés preguntando,  por que no hay PHP 6 de donde migrar desde la versión 5 solo  existe PHP 7 no la 6. La versión actual de PHP 7 es 7.2 esta es  la versión a la que te recomendaría que actualices.

Este gráfico muestra el porcentaje de sitios usando PHP 5.6 y 7.0. Es un tanto preocupante que más de un tercio de los sitios de WordPress usan 5.6.

Su página web está en peligro. PHP 5 caduca

  • Las actualizaciones de seguridad para PHP 5.6 terminan el 31 de diciembre de 2018.
  • Las actualizaciones de seguridad y los parches para PHP 7.0 finalizan el 3 de diciembre de 2018.
  • PHP 5.6 y 7.0 ya no recibirá actualizaciones de seguridad.

¿Cuántos sitios de WordPress están en riesgo?

Según las estadísticas oficiales publicadas de WordPress, el 57,1% de los sitios de WordPress ejecutan estas versiones obsoletas de PHP.

Se requiere que todos los sitios web actualicen a la última versión o corren el riesgo de volverse vulnerables a los eventos de piratería.

Todos los sitios web que no se actualicen a la última versión de PHP serán inseguros y vulnerables a los eventos de piratería una vez que las versiones 5.6 y 7.0 ingresen a su período de finalización de la vida útil (EOL). Esto significa que incluso si se descubren vulnerabilidades de seguridad, nadie hará un parche  o  actualización para corregir las vulnerabilidades en las versiones de PHP.

Además, muchos complementos, temas y el propio WordPress eventualmente dejarán de funcionar con estas versiones de PHP.Si trabajas con WordPress, la acción más prudente es actualizar a la última versión de PHP.

¿Cómo puedo ayudarte?

El tiempo se está acabando rápidamente y si su sitio todavía está ejecutando PHP 5 y no sabes qué hacer, puedo ayudarte a migrar tu sitio a PHP 7 listo para el año entrante.  Contáctanos.

 

 

 

post relacionados

Deja un comentario